diff --git a/src/backend/storage/lmgr/README b/src/backend/storage/lmgr/README
index c96cc7b7c5..d08ec6c402 100644
--- a/src/backend/storage/lmgr/README
+++ b/src/backend/storage/lmgr/README
@@ -692,7 +692,7 @@ User Locks (Advisory Locks)
 User locks are handled totally on the application side as long term
 cooperative locks which may extend beyond the normal transaction boundaries.
 Their purpose is to indicate to an application that someone is `working'
-on an item.  So it is possible to put an user lock on a tuple's oid,
+on an item.  So it is possible to put a user lock on a tuple's oid,
 retrieve the tuple, work on it for an hour and then update it and remove
 the lock.  While the lock is active other clients can still read and write
 the tuple but they can be aware that it has been locked at the application
diff --git a/src/backend/utils/adt/pg_locale.c b/src/backend/utils/adt/pg_locale.c
index 453af401ca..cc2ab95535 100644
--- a/src/backend/utils/adt/pg_locale.c
+++ b/src/backend/utils/adt/pg_locale.c
@@ -1068,7 +1068,7 @@ get_iso_localename(const char *winlocname)
 						LOCALE_NAME_MAX_LENGTH);
 
 	/*
-	 * If the lc_messages is already an Unix-style string, we have a direct
+	 * If the lc_messages is already a Unix-style string, we have a direct
 	 * match with LOCALE_SNAME, e.g. en-US, en_US.
 	 */
 	ret_val = GetLocaleInfoEx(wc_locale_name, LOCALE_SNAME, (LPWSTR) &buffer,
diff --git a/src/include/access/attnum.h b/src/include/access/attnum.h
index 0c43e26c2d..c80bdd245a 100644
--- a/src/include/access/attnum.h
+++ b/src/include/access/attnum.h
@@ -36,7 +36,7 @@ typedef int16 AttrNumber;
 
 /*
  * AttrNumberIsForUserDefinedAttr
- *		True iff the attribute number corresponds to an user defined attribute.
+ *		True iff the attribute number corresponds to a user defined attribute.
  */
 #define AttrNumberIsForUserDefinedAttr(attributeNumber) \
 	((bool) ((attributeNumber) > 0))
